Skip to main content
`Ctrl`+`K`

# PetscLayoutSetBlockSize

Sets the block size for a `PetscLayout` object.

## Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutSetBlockSize(PetscLayout map, PetscInt bs)

Logically Collective

## Input Parameters

- map - pointer to the map

- bs - the size

## See Also

PetscLayout, `PetscLayoutCreate()`, `PetscLayoutSetLocalSize()`, `PetscLayoutGetLocalSize()`, `PetscLayoutGetBlockSize()`, `PetscLayoutGetRange()`, `PetscLayoutGetRanges()`, `PetscLayoutSetSize()`, `PetscLayoutGetSize()`, `PetscLayoutSetUp()`

## Level

developer

## Location

src/vec/is/utils/pmap.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages